FIND_NEXT_BEST_NODE(9)

NAME
find_next_best_node - find the next node that should appear in a given node's fallback list

SYNOPSIS

int find_next_best_node(int node, nodemask_t * used_node_mask);

ARGUMENTS

node
    node whose fallback list we're appending

used_node_mask
    nodemask_t of already used nodes

DESCRIPTION

We use a number of factors to determine which is the next node that should appear on a given node's fallback list. The node should not have appeared already in node's fallback list, and it should be the next closest node according to the distance array (which contains arbitrary distance values from each node to each node in the system), and should also prefer nodes with no CPUs, since presumably they'll have very little allocation pressure on them otherwise. It returns -1 if no node is found.

COPYRIGHT